package com.peetz.comics.dal;

import java.util.List;

import javax.ejb.Local;

import com.peetz.comics.entity.ArtistEntity;

@Local
public interface ArtistDao {
	
	public ArtistEntity getById(Long id);
	
	public List<ArtistEntity> findByIds(List<Long> ids);
	
	public ArtistEntity store(ArtistEntity entity);
	
	public void delete(ArtistEntity entity);
}